Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607744 - remove delay on normal shutdown of corosync server and return error to library user
remove delay on normal shutdown of corosync server and return error to librar...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: corosync (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Friesse
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 639023
  Show dependency treegraph
 
Reported: 2010-06-24 13:26 EDT by Steven Dake
Modified: 2016-04-26 11:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 639023 (view as bug list)
Environment:
Last Closed: 2010-10-12 09:04:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test app which reproduces delay (8.31 KB, text/plain)
2010-06-24 13:27 EDT, Steven Dake
no flags Details
Proposed patch (1.78 KB, patch)
2010-09-07 11:55 EDT, Jan Friesse
no flags Details | Diff

  None (edit)
Description Steven Dake 2010-06-24 13:26:03 EDT
Description of problem:
if corosync service is shutdown, client libraries wait 2 seconds before returning an error.  A different approach to this problem would be to set a variable in the control_buffer global area indicating the server has exited and sem_post on the all the semaphores in the system during conn_info_destroy.

Check the value of the exited flag before and after sem_wait.  If the exited flag is true, return ERR_LIBRARY

Version-Release number of selected component (if applicable):
corosync-1.2.5

How reproducible:
100%

Steps to Reproduce:
1. test case attached
2. run service corosync restart in a loop
3.
  
Actual results:
two second delay if corosync is shutdown normally

Expected results:
no delay if corosync is shutdown

Additional info:
Comment 1 Steven Dake 2010-06-24 13:27:45 EDT
Created attachment 426658 [details]
test app which reproduces delay
Comment 3 Bug Zapper 2010-07-30 08:13:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jan Friesse 2010-09-07 11:55:50 EDT
Created attachment 443547 [details]
Proposed patch

Proposed solution implemented in practice.
Comment 5 Jan Friesse 2010-10-12 09:04:34 EDT
Patch committed to SVN as revision 3059. Closing as upstream.

Note You need to log in before you can comment on or make changes to this bug.